MKFS(8)

NAMN
mkfs - bygga ett Linux-filsystem

SYNOPSIS

mkfs [flaggor] [-t typ] [fs-options] enhet [storlek]

BESKRIVNING

Denna mkfs-frontend är föråldrad till förmån för filsystemspecifika mkfs.<type> utils.

mkfs används för att bygga ett Linux-filsystem på en enhet, vanligtvis en hårddiskpartition. Argumentet enhet är antingen enhetsnamnet (t.ex. /dev/hda1, /dev/sdb2) eller en vanlig fil som ska innehålla filsystemet. Argumentet storlek är det antal block som ska användas för filsystemet.

Avslutningsstatusen som returneras av mkfs är 0 vid framgång och 1 vid misslyckande.

I själva verket är mkfs bara en frontend för de olika filsystembyggare (mkfs.fstype) som finns tillgängliga under Linux. Den filsystemspecifika byggaren söks endast via din PATH-miljöinställning. Se manualsidorna för de filsystemspecifika byggarna för ytterligare information.

FLAGGOR

-t, --type typ
    Ange vilken typ av filsystem som ska byggas. Om inget anges används standardfilsystemtypen (för närvarande ext2).

fs-options
    Filsystemsspecifika flaggor som ska skickas till byggaren av det verkliga filsystemet.

-V, --verbose
    Ge en utförlig utdata, inklusive alla filsystemspecifika kommandon som körs. Om du anger denna flagga mer än en gång förhindras körning av alla filsystemspecifika kommandon. Detta är egentligen bara användbart för testning.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta. (Flaggan -V visar versionsinformation endast när det är den enda parametern, annars fungerar det som --verbose)

KÄNDA PROBLEM

Alla generiska flaggor måste föregå och får inte kombineras med filsystemspecifika flaggor. Vissa filsystemspecifika program känner inte automatiskt av enhetens storlek och kräver att parametern storlek anges.

UPPHOVSPERSONER

Manualsidan är skamlöst anpassad från Remy Cards version för ext2-filsystemet.

SE ÄVEN

fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mkfs ingår i paketet util-linux som kan hämtas från